#pragma once

#include "AbstractVisualNode.h"

#include "Plot.h"

class PlotSeriesNode : public AbstractVisualNode
{
public:
	PlotSeriesNode(const Transform& transform = {});

	void setContent(const PlotSeries& content);

private:
	PlotSeries mContent;
	bool mContentDirty{ true };
};